Bug 143154 - RFE: Less subtle indication of current workspace in workspace switcher applet
RFE: Less subtle indication of current workspace in workspace switcher applet
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-12-16 16:42 EST by Carl Worth
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-17 08:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carl Worth 2004-12-16 16:42:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
The workspace switcher application indicates the current workspace
by coloring the background and coloring the active window.

However, with full workspaces the background can become completely

Additionally, the active application may be too small to make any
significant indication on the workspace switcher. (It can even
be entirely obscured).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open many windows completely obscuring multiple workspaces
2. Make some tiny window active
3. Look at the workspace switcher to try to determine where you are.

Actual Results:  It can be completely impossible to determine the
active workspace.

Expected Results:  The current workspace should be made alwayys
discernible. A useful
invariant would be for the number of "indicator pixels" to remain
constant regardless of the state of the various workspaces.

One idea is to fade all but the current workspace or something similar.

Additional info:
Comment 1 Mark McLoughlin 2004-12-17 08:03:04 EST
Moved upstream:


Note You need to log in before you can comment on or make changes to this bug.